Package kiyut.sketsa.windows.canvas

## Class DefaultNavigator.NavigatorOverlay

- java.lang.Object
- - kiyut.sketsa.windows.canvas.DefaultNavigator.NavigatorOverlay

- All Implemented Interfaces:
    `org.apache.batik.swing.gvt.Overlay`
  Enclosing class:
    DefaultNavigator

      protected class DefaultNavigator.NavigatorOverlay
      extends Object
      implements org.apache.batik.swing.gvt.Overlay

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `dragable` |
    `protected Rectangle` | `maxRect` |
    `protected AffineTransform` | `paintingTransform` |
    `protected Shape` | `shape` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `NavigatorOverlay()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `contains​(int x, int y)` |
    `Rectangle2D` | `getBounds()` |
    `boolean` | `isDragable()` |
    `AffineTransform` | `moveBy​(double tx, double ty)` |
    `void` | `paint​(Graphics g)` |
    `void` | `updateAOI()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### shape

          protected Shape shape

    - #### paintingTransform

          protected AffineTransform paintingTransform

    - #### dragable

          protected boolean dragable

    - #### maxRect

          protected Rectangle maxRect

  - ### Constructor Detail

    - #### NavigatorOverlay

          protected NavigatorOverlay()

  - ### Method Detail

    - #### paint

          public void paint​(Graphics g)

      Specified by:
        `paint` in interface `org.apache.batik.swing.gvt.Overlay`

    - #### contains

          public boolean contains​(int x,
                                  int y)

    - #### getBounds

          public Rectangle2D getBounds()

    - #### moveBy

          public AffineTransform moveBy​(double tx,
                                        double ty)

    - #### updateAOI

          public void updateAOI()

    - #### isDragable

          public boolean isDragable()